package routes

import (
	"github.com/gin-gonic/gin"
	"github.com/jackc/pgx/v4/pgxpool"
	"trikotwaschliste/handler"
)

func RoutesInit(router *gin.Engine, pool *pgxpool.Pool) {
	router.GET("/", handler.MainPage(pool))
	router.GET("/credits", handler.Credits())
	router.POST("/uploadname", handler.UploadName(pool))

	router.GET("/persons", handler.ShowPersonsList(pool))
}
